Search documentation of phoenix_kit

# mix phoenix_kit.process_sqs (phoenix_kit v1.6.19)

View Source

Processes pending messages from AWS SQS queue for email events.

## Usage

    # Process all messages in queue
    mix phoenix_kit.process_sqs

    # Process specific number of messages
    mix phoenix_kit.process_sqs --count 10

    # Show status without processing
    mix phoenix_kit.process_sqs --status

## Options

- `--count` - Number of messages to process (default: all)
- `--status` - Show queue status without processing
- `--help` - Show this help

## Examples

    # Process all pending messages
    mix phoenix_kit.process_sqs

    # Process up to 10 messages
    mix phoenix_kit.process_sqs --count 10

    # Check queue status
    mix phoenix_kit.process_sqs --status